# SANE 1.0.1 locks up system: Linux 2.2.10, Agfa SnapScan 1236s

David Brodbeck (gull@condor.resnet.mtu.edu)
Fri, 1 Oct 1999 22:09:06 -0400 (EDT)

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Tim Waugh: "Re: xsane-0.37"
- Next in thread: abel deuring: "Re: SANE 1.0.1 locks up system: Linux 2.2.10, Agfa SnapScan 1236s"
- Reply: abel deuring: "Re: SANE 1.0.1 locks up system: Linux 2.2.10, Agfa SnapScan 1236s"

Summary:
-------
I'm running Linux kernel 2.2.10, and SANE 1.0.1. I have an Agfa
Snapscan 1236S plugged into a Future Domain TMC-16xx card (forget which, I
think it's a 1606.) When I load the fdomain and sg modules, the scanner
is detected fine. Running find-scanner as root finds it, too. Trying to
scan something, though, locks the whole machine solid.

Details:
-------

Log entries:

scsi1: <fdomain> BIOS version 0.0 at 0x0 using scsi id 6
scsi1: <fdomain> TMC-18C30 chip at 0x140 irq 11
scsi1 : Future Domain 16-bit SCSI Driver Version 5.50
scsi : 2 hosts.
Vendor: AGFA Model: SNAPSCAN 1236 Rev: 1.50
Type: Scanner ANSI SCSI revision: 02
Detected scsi generic sgb at scsi1, channel 0, id 2, lun 0

Output of find-scanner:

find-scanner: found scanner "AGFA SNAPSCAN 1236 1.50" at device /dev/scanner
find-scanner: found scanner "AGFA SNAPSCAN 1236 1.50" at device /dev/sg1
find-scanner: found scanner "AGFA SNAPSCAN 1236 1.50" at device /dev/sgb

Output of scanimage --help -d snapscan, as root:

Usage: scanimage [OPTION]...

Start image acquisition on a scanner device and write PNM image data to
standard output.

-d, --device-name=DEVICE use a given scanner device
-h, --help display this help message and exit
-L, --list-devices show available scanner devices
-T, --test test backend thoroughly
-v, --verbose give even more status messages
-V, --version print version information
Type ``scanimage --help -d DEVICE'' to get list of all options for DEVICE.

List of available devices:
snapscan:/dev/scanner snapscan:/dev/sgb

Running scanimage --help -d snapscan:/dev/scanner locks everything up
until I hit the hardware reset button.

Any ideas? I read about the problem with the sg driver on the list, and
tried substituting the 2.2.5 kernel's sg files and recompiling the sg
module, but it didn't help.

-----------------------------------------------------------------------
"If men had wings and bore black feathers, few of them would be
clever enough to be crows."

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Tim Waugh: "Re: xsane-0.37"
- Next in thread: abel deuring: "Re: SANE 1.0.1 locks up system: Linux 2.2.10, Agfa SnapScan 1236s"
- Reply: abel deuring: "Re: SANE 1.0.1 locks up system: Linux 2.2.10, Agfa SnapScan 1236s"